import * as Transport from 'winston-transport';
import type { GraylogTransportOptions } from '../interfaces/Logger';
import type { TransformableInfo } from 'logform';
export default class GraylogTransport extends Transport {
    private options;
    private graylogClient;
    constructor(options: GraylogTransportOptions);
    log(info: TransformableInfo, next: () => void): void;
    close(): void;
}
